use harmony::{
    inventory::Inventory,
    maestro::Maestro,
    modules::dummy::{ErrorScore, PanicScore, SuccessScore},
    topology::HAClusterTopology,
};

#[tokio::main]
async fn main() {
    let inventory = Inventory::autoload();
    let topology = HAClusterTopology::autoload();
    let mut maestro = Maestro::new(inventory, topology);

    maestro.register_all(vec![
        Box::new(SuccessScore {}),
        Box::new(ErrorScore {}),
        Box::new(PanicScore {}),
    ]);
    harmony_cli::init(maestro, None).await.unwrap();
}
